Radiotherapy Class Reference
Example scripts (models)

Example: Radiotherapy More...

## Classes

class | NestedSearch
| Nested search on the q variables. More...

## Public Member Functions

| Radiotherapy (const SizeOptions &opt)
| The actual problem.
void | incr_sum (IntVar &x, IntVarArgs &y, int mn)
| Post incremental sum constraint.
| Radiotherapy (Radiotherapy &s)
| Constructor for cloning s.
virtual Space * | copy (void)
| Perform copying during cloning.
virtual IntVar | cost (void) const
| Cost to be minimized.
virtual void | print (std::ostream &os) const
| Print solution.
Public Member Functions inherited from Gecode::Driver::ScriptBase< Driver::IgnoreStepOption< IntMinimizeSpace > >
| ScriptBase (const Options &opt)
| Constructor.
| ScriptBase (ScriptBase &e)
| Constructor used for cloning.
virtual void | compare (const Space &home, std::ostream &os) const
| Compare with s.
Public Member Functions inherited from Gecode::Driver::IgnoreStepOption< BaseSpace >
| IgnoreStepOption (const Options &)
| Constructor.
| IgnoreStepOption (BaseSpace &e)
| Constructor used for cloning.

## Related Symbols

(Note that these are not member symbols.)
static const int | intensity0 []
| Radiotherapy specifications.
int | main (int argc, char *argv[])
| Main-function.

## Additional Inherited Members

Static Public Member Functions inherited from Gecode::Driver::ScriptBase< Driver::IgnoreStepOption< IntMinimizeSpace > >
static std::ostream & | select_ostream (const char *sn, std::ofstream &ofs)
| Choose output stream according to sn.
static void | run (const Options &opt, Script *s=NULL)

## Detailed Description

Example: Radiotherapy

Implementation of the model for cancer radiation treatment planning from the paper

Davaatseren Baatar, Natashia Boland, Sebastian Brand, Peter J. Stuckey. Minimum Cardinality Matrix Decomposition into Consecutive-Ones Matrices: CP and IP Approaches. CPAIOR 2007

Definition at line 98 of file radiotherapy.cpp.

## Constructor & Destructor Documentation

## Radiotherapy() [1/2]

Radiotherapy::Radiotherapy | ( | const SizeOptions & | opt | ) |

inline

The actual problem.

Definition at line 117 of file radiotherapy.cpp.

## Radiotherapy() [2/2]

Radiotherapy::Radiotherapy | ( | Radiotherapy & | s | ) |

inline

Constructor for cloning s.

Definition at line 176 of file radiotherapy.cpp.

## Member Function Documentation

## incr_sum()

void Radiotherapy::incr_sum | ( | IntVar & | x,
|  | IntVarArgs & | y,
|  | int | mn )

inline

Post incremental sum constraint.

Definition at line 164 of file radiotherapy.cpp.

## copy()

virtual Space * Radiotherapy::copy | ( | void |  | ) |

inline virtual

Perform copying during cloning.

Definition at line 187 of file radiotherapy.cpp.

## cost()

virtual IntVar Radiotherapy::cost | ( | void |  | ) | const

inline virtual

Cost to be minimized.

Definition at line 193 of file radiotherapy.cpp.

## print()

virtual void Radiotherapy::print | ( | std::ostream & | os | ) | const

inline virtual

Print solution.

Reimplemented from Gecode::Driver::ScriptBase< Driver::IgnoreStepOption< IntMinimizeSpace > >.

Definition at line 197 of file radiotherapy.cpp.

## Friends And Related Symbol Documentation

## intensity0

const int intensity0[]

related

Initial value:
= {
7, 2, 14, 8, 9,
13, 4, 1, 2, 9,
5, 12, 2, 11, 9,
10, 2, 4, 9, 7,
10, 2, 8, 11, 1
}

Radiotherapy specifications.

Definition at line 370 of file radiotherapy.cpp.

## main()

int main | ( | int | argc,
|  | char * | argv[] )

related

Main-function.

Definition at line 346 of file radiotherapy.cpp.

The documentation for this class was generated from the following file:

- examples/radiotherapy.cpp